Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.snailshell.consensus.demo
Class Constants

    java.lang.Object
      de.snailshell.consensus.demo.Constants

public class Constants
extends Object

Version:
  2006-06-14
Author:
  Thomas Much

Field Summary
`static String` | `CONTEXT_ATTR_CONSENSUSFOUNDATION`
`static String` | `MAPPING_FAILURE`
`static String` | `MAPPING_SUCCESS`
`static String` | `MAPPING_WARNING`
`static String` | `REQUEST_ATTR_ASSOCIATION`
`static String` | `REQUEST_ATTR_ASSOCIATIONCOUNT`
`static String` | `REQUEST_ATTR_ASSOCIATIONROLES`
`static String` | `REQUEST_ATTR_ASSOCIATIONSOFTYPE`
`static String` | `REQUEST_ATTR_ATTRIBUTE`
`static String` | `REQUEST_ATTR_ATTRIBUTES`
`static String` | `REQUEST_ATTR_ENGINEERROR`
`static String` | `REQUEST_ATTR_ENGINERESULTS`
`static String` | `REQUEST_ATTR_ERRORS`
`static String` | `REQUEST_ATTR_MESSAGE`
`static String` | `REQUEST_ATTR_OCCURRENCES`
`static String` | `REQUEST_ATTR_RATING`
`static String` | `REQUEST_ATTR_RATINGHISTORY`
`static String` | `REQUEST_ATTR_RATINGS`
`static String` | `REQUEST_ATTR_ROLETYPES`
`static String` | `REQUEST_ATTR_SYNONYMS`
`static String` | `REQUEST_ATTR_TOPIC`
`static String` | `REQUEST_ATTR_TOPICASSOCIATIONS`
`static String` | `REQUEST_ATTR_TOPICCOUNT`
`static String` | `REQUEST_ATTR_TOPICINSTANCES`
`static String` | `REQUEST_ATTR_TOPICS`
`static String` | `REQUEST_ATTR_TOPICSEARCH`
`static String` | `REQUEST_ATTR_TOPICTYPES`
`static String` | `REQUEST_ATTR_USER`
`static String` | `SESSION_ATTR_LASTASSOCIATION`
`static String` | `SESSION_ATTR_LASTTOPICS`
`static String` | `SESSION_ATTR_USER`

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAPPING_SUCCESS

    public static final String MAPPING_SUCCESS

See Also:
  Constant Field Values

### MAPPING_FAILURE

    public static final String MAPPING_FAILURE

See Also:
  Constant Field Values

### MAPPING_WARNING

    public static final String MAPPING_WARNING

See Also:
  Constant Field Values

### SESSION_ATTR_USER

    public static final String SESSION_ATTR_USER

See Also:
  Constant Field Values

### SESSION_ATTR_LASTASSOCIATION

    public static final String SESSION_ATTR_LASTASSOCIATION

See Also:
  Constant Field Values

### SESSION_ATTR_LASTTOPICS

    public static final String SESSION_ATTR_LASTTOPICS

See Also:
  Constant Field Values

### CONTEXT_ATTR_CONSENSUSFOUNDATION

    public static final String CONTEXT_ATTR_CONSENSUSFOUNDATION

See Also:
  Constant Field Values

### REQUEST_ATTR_MESSAGE

    public static final String REQUEST_ATTR_MESSAGE

See Also:
  Constant Field Values

### REQUEST_ATTR_ERRORS

    public static final String REQUEST_ATTR_ERRORS

See Also:
  Constant Field Values

### REQUEST_ATTR_TOPIC

    public static final String REQUEST_ATTR_TOPIC

See Also:
  Constant Field Values

### REQUEST_ATTR_TOPICS

    public static final String REQUEST_ATTR_TOPICS

See Also:
  Constant Field Values

### REQUEST_ATTR_TOPICCOUNT

    public static final String REQUEST_ATTR_TOPICCOUNT

See Also:
  Constant Field Values

### REQUEST_ATTR_TOPICTYPES

    public static final String REQUEST_ATTR_TOPICTYPES

See Also:
  Constant Field Values

### REQUEST_ATTR_TOPICINSTANCES

    public static final String REQUEST_ATTR_TOPICINSTANCES

See Also:
  Constant Field Values

### REQUEST_ATTR_TOPICASSOCIATIONS

    public static final String REQUEST_ATTR_TOPICASSOCIATIONS

See Also:
  Constant Field Values

### REQUEST_ATTR_TOPICSEARCH

    public static final String REQUEST_ATTR_TOPICSEARCH

See Also:
  Constant Field Values

### REQUEST_ATTR_ASSOCIATION

    public static final String REQUEST_ATTR_ASSOCIATION

See Also:
  Constant Field Values

### REQUEST_ATTR_ASSOCIATIONCOUNT

    public static final String REQUEST_ATTR_ASSOCIATIONCOUNT

See Also:
  Constant Field Values

### REQUEST_ATTR_ASSOCIATIONROLES

    public static final String REQUEST_ATTR_ASSOCIATIONROLES

See Also:
  Constant Field Values

### REQUEST_ATTR_ASSOCIATIONSOFTYPE

    public static final String REQUEST_ATTR_ASSOCIATIONSOFTYPE

See Also:
  Constant Field Values

### REQUEST_ATTR_ATTRIBUTE

    public static final String REQUEST_ATTR_ATTRIBUTE

See Also:
  Constant Field Values

### REQUEST_ATTR_ATTRIBUTES

    public static final String REQUEST_ATTR_ATTRIBUTES

See Also:
  Constant Field Values

### REQUEST_ATTR_OCCURRENCES

    public static final String REQUEST_ATTR_OCCURRENCES

See Also:
  Constant Field Values

### REQUEST_ATTR_SYNONYMS

    public static final String REQUEST_ATTR_SYNONYMS

See Also:
  Constant Field Values

### REQUEST_ATTR_RATING

    public static final String REQUEST_ATTR_RATING

See Also:
  Constant Field Values

### REQUEST_ATTR_RATINGS

    public static final String REQUEST_ATTR_RATINGS

See Also:
  Constant Field Values

### REQUEST_ATTR_RATINGHISTORY

    public static final String REQUEST_ATTR_RATINGHISTORY

See Also:
  Constant Field Values

### REQUEST_ATTR_ENGINEERROR

    public static final String REQUEST_ATTR_ENGINEERROR

See Also:
  Constant Field Values

### REQUEST_ATTR_ENGINERESULTS

    public static final String REQUEST_ATTR_ENGINERESULTS

See Also:
  Constant Field Values

### REQUEST_ATTR_USER

    public static final String REQUEST_ATTR_USER

See Also:
  Constant Field Values

### REQUEST_ATTR_ROLETYPES

    public static final String REQUEST_ATTR_ROLETYPES

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD